Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Class DriverManager

    java.lang.Object
      org.ensembl.driver.DriverManager

public class DriverManager
extends java.lang.Object

Utility for creating drivers from a Properties format configuration files.

The files can be specifed as:
- Filepaths. Relative to current working directory or absolute.
- Resources. File paths relative to the classpath.
- URLs.

See Also:
  ``

Method Summary
`static CoreDriver` | `load(java.util.Properties driverConfig)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).
`static CoreDriver` | `load(java.lang.String fileReference)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).
`static CoreDriver` | `loadDriver(java.util.Properties driverConfig)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).
`static CoreDriver` | `loadDriver(java.lang.String fileReference)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).
`static EnsemblDriver` | `loadEnsemblDriver(java.util.Properties driverConfig)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).
`static EnsemblDriver` | `loadEnsemblDriver(java.lang.String fileReference)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).
`static VariationDriver` | `loadVariationDriver(java.util.Properties driverConfig)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).
`static VariationDriver` | `loadVariationDriver(java.lang.String fileReference)` Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadDriver

    public static CoreDriver loadDriver(java.util.Properties driverConfig)
                                 throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  If the property "ensembl_driver" is ommitted the default "org.ensembl.driver.impl.CoreDriverImpl".

  Parameters:
    `driverConfig` - configuration for a specific driver.
  Throws:
    `ConfigurationException` - if it fails to create and instance of the driver or the driver can not be configured, for example due to missing parameters.
  See Also:
    `CoreDriverImpl`, `CoreDriver`

### loadVariationDriver

    public static VariationDriver loadVariationDriver(java.util.Properties driverConfig)
                                               throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  If the property "ensembl_driver" is ommitted the default "org.ensembl.variation.driver.impl.VariationDriverImpl" is used.

  Parameters:
    `driverConfig` - configuration for a specific driver.
  Throws:
    `ConfigurationException` - if it fails to create and instance of the driver or the driver can not be configured, for example due to missing parameters.
  See Also:
    `VariationDriverImpl`, `CoreDriver`

### loadVariationDriver

    public static VariationDriver loadVariationDriver(java.lang.String fileReference)
                                               throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  If the property "ensembl_driver" is ommitted the default "org.ensembl.variation.driver.impl.MySQLVariationDriver" is used.

  Parameters:
    `fileReference` - filepath or url, url can be relative to classpath
  Throws:
    `ConfigurationException` - if it fails to create and instance of the driver or the driver can not be configured, for example due to missing parameters.
  See Also:
    `VariationDriverImpl`, `CoreDriver`

### loadEnsemblDriver

    public static EnsemblDriver loadEnsemblDriver(java.util.Properties driverConfig)
                                           throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  Parameters:
    `driverConfig` - filepath or url, url can be relative to classpath
  Returns:
    driver configured with parameters in file.
  Throws:
    `ConfigurationException`

### load

    public static CoreDriver load(java.util.Properties driverConfig)
                           throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  If the property "ensembl_driver" is ommitted the default of "org.ensembl.driver.impl.CoreDriverImpl" is used. This is a synonym for loadDriver(Properties) and is kept for backwards compatibility.

  Parameters:
    `driverConfig` - configuration parameters specifiying the driver
  Returns:
    driver configured with parameters in file.
  Throws:
    `ConfigurationException`
  See Also:
    `loadDriver(Properties)`

### loadDriver

    public static CoreDriver loadDriver(java.lang.String fileReference)
                                 throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  If the property "ensembl_driver" is ommitted the default "org.ensembl.driver.impl.CoreDriverImpl" is used.

  Parameters:
    `fileReference` - filepath or url, url can be relative to classpath
  Returns:
    driver configured with parameters in file.
  Throws:
    `ConfigurationException`

### load

    public static CoreDriver load(java.lang.String fileReference)
                           throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  If the property "ensembl_driver" is ommitted it defaults to "org.ensembl.driver.impl.CoreDriverImpl". This is a synonym for loadDriver(String) and is kept for backwards compatibility.

  Parameters:
    `fileReference` - filepath or url, url can be relative to classpath
  Returns:
    driver configured with parameters in file.
  Throws:
    `ConfigurationException`
  See Also:
    `loadDriver(String)`

### loadEnsemblDriver

    public static EnsemblDriver loadEnsemblDriver(java.lang.String fileReference)
                                           throws ConfigurationException

  Creates an instance of the driver specified by the ensembl_driver parameter in the configuration and calls driver.initialise(configuration).

  Parameters:
    `fileReference` - filepath or url, url can be relative to classpath
  Returns:
    driver configured with parameters in file.
  Throws:
    `ConfigurationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD